Subject: Re: cygwin-1.3.20-1 breaks termcaps, Re: Re: cygwin-1.3.20-1 breaks termcaps
From: [email-masked]
To: Ronald Landheer-Cieslak <[email-masked]>
Cc: [email-masked]
Date: Wed, 26 Feb 2003 14:32:31 +0100

On Wednesday, February 26, 2003 at 13:15:54, Ronald Landheer-Cieslak wrote:
> This won't help you fix your problem, but might stop you from
> running into new ones.. (see below)

o.k. so I keep with one installation ...

> On Tue, 25 Feb 2003 [email-masked] wrote:
[...]
> You *cannot* have two different Cygwin versions on the same system
> at the same time (if both Cygwin versions are in the PATH and/or one
> can find the other). You should not try to install two Cygwin's on
> the same machine (unless you *really* know what you are doing - in
> any case no one in this list will help you get it going (unless they
> are in the kindest mood possible))
> 
> As for your problem - I can't reproduce it on my machine, so I can't
> help you :(
> 
> rlc
On Wednesday, February 26, 2003 at 13:25:13, Ronald Landheer-Cieslak wrote:
> BTW: does the file /usr/share/terminfo/v/vt100 exist? If your
> programs complain about a non-existant terminfo file, that might be
> it.

Yes it is there with all other types of terminals ...

Is /etc/termcap then deprecated?

: Is it maybe related to some wrong file permissions?
: I changed from ntea to ntsec some while ago.

While writing this, I thought I should check this.

I had the permissions:

drwx------+   2 admin    none        32768 Jul 24  2002 ./

Since I am in the admin-groups I could still access all
files, but unfortunately this caused the problem.  After
adding go+rx to all dirs /usr/share/terminfo/v/ and +r to
vt100 it is working fine again.

Has someone a script to fix the permissions of all standard
files to a reasonable value instead of +rx for all dirs and
+r for all files?

Cheers Robert

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/